import React from "react";
import ReactDOM from "react-dom";
import { select, arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width/2;
const centerY = height/2;
const strokeWidth = 8;
const eyeOffSetX = 85;
const eyeOffSetY = 90;
const eyeRadius = 50;
const eyespacing = 100;
const eyeoffset = -70;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowOffset = -70;
const mouthWidth = 10;
const mouthRadius = 130;

const eyeArc = d3.arc()
    .innerRadius(30)
    .outerRadius(40)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);

const mouthArc = arc()
			.innerRadius(mouthRadius)
			.outerRadius(mouthRadius + mouthWidth)
			.startAngle(Math.PI / 1)
			.endAngle(Math.PI / 2 * 2.8);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
        <ellipse
        cx={eyeOffSetX+150} 
        cy={-eyeOffSetY+65}
        rx={eyeRadius}
        ry={eyeRadius}
        fill = "black"
      />
      <ellipse
        cx={-eyeOffSetX-150} 
        cy={eyeOffSetY-110}
        rx={eyeRadius}
        ry={eyeRadius}
        fill = "black"
      />
      <circle
        r={centerY - strokeWidth/2}
        fill="skyblue"
        stroke="black"p
        stroke-width={strokeWidth}
      />
      <circle 
        cx={-eyeOffSetX} 
        cy={-eyeOffSetY}
        r={eyeRadius-5}
      />
      <circle 
        cx={-eyeOffSetX-20} 
        cy={-eyeOffSetY-10}
        fill="white"
        r={eyeRadius/4}
      />
      <circle 
        cx={eyeOffSetX} 
        cy={-eyeOffSetY}
        r={eyeRadius-5}
      />
      <circle 
        cx={eyeOffSetX-20} 
        cy={-eyeOffSetY-10}
        fill="white"
        r={eyeRadius/4}
      />
      <ellipse
        cx={eyeOffSetX-80} 
        cy={-eyeOffSetY+100}
        rx={eyeRadius/2}
        ry={eyeRadius/2.5}
        fill = "black"
      />
      <path d={mouthArc()} />
      	<path 
        d = {eyeArc()}
        transform = "rotate(5)    translate(-100,-140)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-5)    translate(100,-140)"
        fill = "black"
      />
    </g>
  </svg>
);

ReactDOM.render(<App /> , document.getElementById("root"));